Adobe Reader on 64-bit Linux

Got a dumb ass interactive PDF that needs Adobe Reader to work (I’m looking at you, HMRC)? There currently is no 64-bit Linux version of Adobe Reader. To run the 32-bit version on Ubuntu:

  1. Download the 32-bit version from Adobe (you’ll have to use the non-packaged .bin version, as the packaged version won’t install)
  2. Install the package ia32-libs
  3. Run it (/opt/Adobe/Reader/bin/acroread)

There’ll be some error messages in the console, but it should mostly work.

Advertisements